- Main Page
- Modules
- Namespaces
- Classes
- Files

# basetransform.h File Reference

`#include <glibmm.h>`
`#include <gst/base/gstbasetransform.h>`
`#include <gstreamermm/element.h>`
`#include <gstreamermm/pad.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Glib
## Classes
class | Gst::BaseTransform
| Gst::BaseTransform - Base class for simple transform filters. More...
## Variables
const Glib::ustring | Gst::BASE_TRANSFORM_SINK_NAME = GST_BASE_TRANSFORM_SINK_NAME
| The name of the templates for the sink pad ("sink").
const Glib::ustring | Gst::BASE_TRANSFORM_SRC_NAME = GST_BASE_TRANSFORM_SRC_NAME
| The name of the templates for the source pad ("src").